为了账号安全,请及时绑定邮箱和手机立即绑定

import 'antd/dist/antd.css';之后报错

import 'antd/dist/antd.css';之后报错

子不语442 2020-03-12 22:05:26

npm install antd --save 之后,报这个错误

http://img1.sycdn.imooc.com/5e6a412e00015bf610850311.jpg

注释antd.css之后错误消失

http://img1.sycdn.imooc.com/5e6a412e0001347b11920704.jpg

webpack相关信息如下

http://img1.sycdn.imooc.com/5e6a412e00016adf06680533.jpg


查看完整描述

1 回答

?
第二钢协

TA贡献34条经验 获得超5个赞

报错说的很清楚啊,你没有合适的loader来解析css。

webpack默认只能解析js语法,除了js之外的任何东西,都需要相应的loader来解析。

比如 css 文件需要 css-loader, img文件需要file-loader。等等。

去npm里面搜 css-loader,安装好后配置一下就可以了。

仔细看看报错信息啊,明明白白地把原因给你写出来了。。。

查看完整回答
反对 回复 2020-03-13
  • 子不语442
    子不语442
    我在实战课程里面问了授课老师,授课老师说是版本问题,让我安装一个低版本的; 我重新创建了react项目,然后重新安装就可以了; 报错信息说的很清晰,问题是是我看不懂。。。把报错信息复制百度了,搜到的信息也是乱七八糟的;

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信